gActive = true
gDelay = 150
function DoAnim()
  while gActive == true do  
    i = 1;
    while gActive == true  and  i <= 11 do
      delay(gDelay);  
      frames{i};
      i = i + 1;
    end
  end 
end
